JndiBindingsType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: JndiBindingsType

Package org.apache.geode.cache.configuration

# Class JndiBindingsType

java.lang.Object
org.apache.geode.cache.configuration.JndiBindingsType

@Experimental public class JndiBindingsType extends Object
A jndi-bindings element will contain the jndi-binding for each of the datasources which are to be bound with the JNDI Context.

Java class for jndi-bindings-type complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="jndi-bindings-type">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="jndi-binding" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="config-property" maxOccurs="unbounded" minOccurs="0">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <element name="config-property-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
                                 <element name="config-property-type" type="{http://www.w3.org/2001/XMLSchema}string"/>
                                 <element name="config-property-value" type="{http://www.w3.org/2001/XMLSchema}string"/>
                               </sequence>
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                     <attribute name="blocking-timeout-seconds" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="conn-pooled-datasource-class" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="connection-url" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="idle-timeout-seconds" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="init-pool-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="jdbc-driver-class" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="jndi-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="login-timeout-seconds" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="managed-conn-factory-class" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="max-pool-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="password" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="transaction-type" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="type" use="required">
                       <simpleType>
                         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                           <enumeration value="ManagedDataSource"/>
                           <enumeration value="SimpleDataSource"/>
                           <enumeration value="PooledDataSource"/>
                           <enumeration value="XAPooledDataSource"/>
                         </restriction>
                       </simpleType>
                     </attribute>
                     <attribute name="user-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="xa-datasource-class" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `JndiBindingsType.JndiBinding`
  Java class for anonymous complex type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<JndiBindingsType.JndiBinding>`
  `jndiBindings`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JndiBindingsType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<JndiBindingsType.JndiBinding>`
  `getJndiBindings()`
  Gets the value of the jndiBindings property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### jndiBindings

    protected List<JndiBindingsType.JndiBinding> jndiBindings

- ## Constructor Details

  - ### JndiBindingsType

    public JndiBindingsType()

- ## Method Details

  - ### getJndiBindings

    public List<JndiBindingsType.JndiBinding> getJndiBindings()
    Gets the value of the jndiBindings property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the jndiBindings property.

    For example, to add a new item, do as follows:

         getJndiBindings().add(newItem);

    Objects of the following type(s) are allowed in the list `JndiBindingsType.JndiBinding`

    Returns:
      the `List` of `JndiBindingsType.JndiBinding`s.